###################################################
### chunk number 1: preliminaries
###################################################
#line 110 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
library("LIM")
options(prompt = "> ")
options(width=70)


###################################################
### chunk number 2: 
###################################################
#line 363 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
pars <- Ldei(LIMEcoli)


###################################################
### chunk number 3: 
###################################################
#line 373 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
LP <- Linp(LIMEcoli)


###################################################
### chunk number 4: 
###################################################
#line 377 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
LP$X <- LP$X[1,]


###################################################
### chunk number 5: 
###################################################
#line 381 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
xr <- Xranges(LIMEcoli)


###################################################
### chunk number 6: 
###################################################
#line 387 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
data.frame(simplest = pars$X, optimal = LP$X, xr)


###################################################
### chunk number 7: range
###################################################
#line 393 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
par(mfrow = c(1, 2))
nr <- LIMEcoli$NUnknowns
ii <- 1:(nr/2)
dotchart(LP$X[ii], xlim = range(xr), pch = 16, cex = 0.8)
segments(xr[ii,1], 1:nr, xr[ii,2], 1:nr)
ii <- (nr/2+1):nr
dotchart(LP$X[ii], xlim = range(xr), pch = 16, cex = 0.8)
segments(xr[ii,1], 1:nr, xr[ii,2], 1:nr)
mtext(side =  3, cex = 1.5, outer = TRUE, line = -1.5,
      "E coli Core Metabolism, optimal solution and ranges")


###################################################
### chunk number 8: figrange
###################################################
#line 408 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
#line 393 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw#from line#408#"
par(mfrow = c(1, 2))
nr <- LIMEcoli$NUnknowns
ii <- 1:(nr/2)
dotchart(LP$X[ii], xlim = range(xr), pch = 16, cex = 0.8)
segments(xr[ii,1], 1:nr, xr[ii,2], 1:nr)
ii <- (nr/2+1):nr
dotchart(LP$X[ii], xlim = range(xr), pch = 16, cex = 0.8)
segments(xr[ii,1], 1:nr, xr[ii,2], 1:nr)
mtext(side =  3, cex = 1.5, outer = TRUE, line = -1.5,
      "E coli Core Metabolism, optimal solution and ranges")
#line 409 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"


###################################################
### chunk number 9: 
###################################################
#line 431 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
print(system.time(
  xs <- Xsample(LIMEcoli, iter = 500, type = "mirror", test = TRUE)  #))
))
  


###################################################
### chunk number 10: sample
###################################################
#line 441 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
  pairs(xs[, 1:12], pch = ".", cex = 2, gap = 0, upper.panel = NULL)


###################################################
### chunk number 11: figsample
###################################################
#line 447 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"
#line 441 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw#from line#447#"
  pairs(xs[, 1:12], pch = ".", cex = 2, gap = 0, upper.panel = NULL)
#line 448 "d:/Rcompile/CRANpkg/local/2.12/LIM/inst/doc/LIMecoli.Rnw"


